{ inputs }:
_: prev:
{
  inherit (inputs) kitty-icon kitty-themes;
  fishPlugins = prev.fishPlugins // {
    fisher = {
      name = "fisher";
      src = inputs.fisher-src;
    };
  };
  helix = inputs.helix.packages.${prev.stdenv.system}.default;
} // builtins.mapAttrs (name: extras:
  prev.callPackage (./. + "/${name}.nix")
  ({ "${name}-src" = inputs."${name}-src"; } // extras)) {
    cinny = { };
    dark-mode-notify = { sdkVersion = "*.*"; };
    ia-writer-family = { };
    yubiswitch = { };
  }
