let
  mkTemplates =
    builtins.mapAttrs (name: attrs: attrs // { path = ./. + "/${name}"; });
in mkTemplates {
  rust = {
    description = "A rust flake template based on flake.parts";
    welcomeText = ''
      welcome to a new rust project ミ(・・)ミ

      run `direnv allow` and `cargo init` to start a new project
    '';
  };
}
