{
  programs.helix.enable = true;

  programs.helix.settings = {
    editor.bufferline = "multiple";
    editor.color-modes = true;
    editor.cursor-shape.insert = "bar";
    editor.cursorline = true;
    editor.indent-guides.render = true;
    editor.indent-guides.skip-levels = 1;
    editor.line-number = "relative";
    editor.soft-wrap.enable = true;
    editor.whitespace.render = {
      space = "none";
      tab = "all";
      newline = "all";
    };
  };

  # programs.helix.grammars = [{
  #   name = "lalrpop";
  #   source = {
  #     git = "https://github.com/traxys/tree-sitter-lalrpop";
  #     rev = "7744b56f03ac1e5643fad23c9dd90837fe97291e";
  #   };
  # }];

  programs.helix.extras.autoTheme = {
    enable = true;
    light = "rose_pine_dawn";
    dark = "rose_pine";
  };

  home.sessionVariables = { EDITOR = "hx"; };
}
