{ config, pkgs, ... }: {
  # dark-mode-notify configuration
  # {{{
  launchd.agents.dark-mode-notify =
    let logPath = "${config.xdg.stateHome}/dark-mode-notify";
    in {
      enable = true;
      config = {
        Label = "ke.bou.dark-mode-notify";
        KeepAlive = true;
        StandardErrorPath = "${logPath}/error.log";
        StandardOutPath = "${logPath}/out.log";
        ProgramArguments = [
          "${pkgs.dark-mode-notify}/bin/dark-mode-notify"
          "${pkgs.fish}/bin/fish"
          "-c"
          "set-background-to-env DARKMODE"
        ];
      };
    };
  # }}}
}
