{ ia-writer-family-src, lib, stdenv }:

let version = "20181224";
in stdenv.mkDerivation {
  name = "ia-writer-family-${version}";

  src = ia-writer-family-src;

  installPhase = ''
    mkdir -p $out/share/fonts/truetype
    cp "iA Writer "{Mono,Duo,Quattro}/Variable/*.ttf $out/share/fonts/truetype/
  '';

  meta = with lib; {
    description = "iA Writer Typeface Family";
    license = licenses.ofl;
    platforms = platforms.all;
  };
}
